Get Seasons
GET /api/public/v1/season
GET
/api/public/v1/season
The get seasons endpoint returns all seasons that the current user account has access to. This includes any seasons of child organisations. To view the annotated Typescript response please go to: https://github.com/ClicknClear/Public-Resources/blob/main/packages/lvs-types/src/v1/season.ts
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Get Seasons
Array<object>
object
id
integer
isLocked
boolean
territories
Array
organisationId
integer
title
string
endDate
string format: date-time
startDate
string format: date-time
inviteURL
string format: uri
signupFields
Array
Example
[ { "id": 14, "isLocked": false, "territories": [], "organisationId": 1, "title": "Everything Enabled Season", "endDate": "2024-06-27T00:00:00.000Z", "startDate": "2024-06-20T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [] }, { "id": 11, "isLocked": false, "territories": [], "organisationId": 17, "title": "Your Season Title", "endDate": "2025-02-20T00:00:00.000Z", "startDate": "2024-03-10T00:00:00.000Z", "signupFields": [ { "id": 50, "isRequired": true, "options": [], "order": 0, "question": "Please enter your participant ID", "description": "", "type": "shortAnswer", "key": null } ] }, { "id": 10, "isLocked": false, "territories": [], "organisationId": 15, "title": "Example Season", "endDate": "2025-01-31T00:00:00.000Z", "startDate": "2024-02-22T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [ { "id": 69, "isRequired": true, "options": [], "order": 0, "question": "What's your favourite colour?", "description": "", "type": "shortAnswer", "key": null } ] }, { "id": 7, "isLocked": false, "territories": [], "organisationId": 1, "title": "testing edits", "endDate": "2024-02-28T00:00:00.000Z", "startDate": "2024-01-31T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [ { "id": 40, "isRequired": true, "options": [], "order": 0, "question": "s1", "description": "", "type": "shortAnswer", "key": null }, { "id": 41, "isRequired": true, "options": [], "order": 1, "question": "s2", "description": "", "type": "shortAnswer", "key": null } ] }, { "id": 6, "isLocked": false, "territories": [], "organisationId": 1, "title": "Work Season", "endDate": "2024-01-25T00:00:00.000Z", "startDate": "2024-01-18T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [] }, { "id": 5, "isLocked": false, "territories": [], "organisationId": 1, "title": "New Season", "endDate": "2024-01-15T00:00:00.000Z", "startDate": "2024-01-08T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [] }, { "id": 3, "isLocked": false, "territories": [], "organisationId": 1, "title": "SR Season 2023 / 2025", "endDate": "2024-02-29T00:00:00.000Z", "startDate": "2023-03-01T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [ { "id": 34, "isRequired": true, "options": [], "order": 0, "question": "edited q", "description": "", "type": "shortAnswer", "key": null }, { "id": 35, "isRequired": true, "options": [], "order": 1, "question": "fewfewfwe", "description": "", "type": "shortAnswer", "key": null } ] }, { "id": 1, "isLocked": false, "territories": [], "organisationId": 1, "title": "KANSAS 2023/2024", "endDate": "2023-10-31T00:00:00.000Z", "startDate": "2023-01-01T00:00:00.000Z", "inviteURL": "https://example.clicknclear.com", "signupFields": [] }]Headers
Section titled “Headers ” Date
string
Example
Fri, 12 Jul 2024 13:04:46 GMT Content-Length
integer
Example
4996 Connection
string
Example
keep-alive